Delete Blueprints Transitions
Purpose
To delete one or more Blueprints Transitions from your Zoho CRM organization.
Endpoints
- DELETE /settings/blueprints/transitions?ids={blueprint_transition_ID1, blueprint_transition_ID2, blueprint_transition_ID3, ..}
- DELETE /settings/blueprints/transitions/{blueprint_transition_ID}
Request Details
Request URL
To delete multiple Blueprint Transitions by their IDs:
{api-domain}/crm/{version}/settings/blueprints/transitions?ids={blueprint_transition_ID1, blueprint_transition_ID2, blueprint_transition_ID3, ..}
To delete a specific Blueprint Transitions by its ID:
{api-domain}/crm/{version}/settings/blueprints/transitions/{blueprint_transition_ID}
Header
Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52
Scope
ZohoCRM.settings.transitions.delete
Parameters
- idsstring, mandatory for deleting multiple Blueprints Transitions
Specify the unique IDs of Blueprints Transitions that you want to delete.
Sample Request
Copiedcurl "https://www.zohoapis.com/crm/v8/settings/blueprints/transitions?ids=5843104000001083111,5843104000001083131"
-H "Authorization: Zoho-oauthtoken 1000.8cb99dxxxxxxxxxxxxx9be93.9b8xxxxxxxxxxxxxxxf"
-X DELETENote
- When multiple Blueprint Transitions IDs are passed, if some deletions succeed and others fail, the API responds with 207 Multi-Status. Check the status key in each response item to see the result of each deletion.
Possible Errors
- NOT_ALLOWEDHTTP 400
Remove the transition from the associated blueprint and then delete.
Resolution: Remove the transition from all associated blueprints before deleting it. - REQUIRED_PARAM_MISSINGHTTP 400
One of the expected parameters is missing.
Resolution: Specify the ids parameter with valid transition IDs. - INVALID_DATAHTTP 400
The transition ID given seems to be invalid.
Resolution: Specify valid transition IDs. - INVALID_REQUEST_METHODHTTP 400
The HTTP request method type is not valid.
Resolution: Specify a valid HTTP method for the API endpoint. - OAUTH_SCOPE_MISMATCHHTTP 401
Unauthorized.
Resolution: The client does not have a valid scope to delete transitions. Create a token with the required scope. - AUTHENTICATION_FAILUREHTTP 401
Authentication failed.
Resolution: Pass a valid OAuth access token in the request header. - INVALID_URL_PATTERNHTTP 404
The request URL is incorrect.
Resolution: Specify a valid request URL. Refer to the request URL section above. - INTERNAL_ERRORHTTP 500
Internal Server Error.
Resolution: Unexpected and unhandled exception in the server. Contact the support team.
Copied{
"blueprints": [
{
"code": "SUCCESS",
"details": {
"id": "5843104000001083111"
},
"message": "transition deleted"",
"status": "success"
},
{
"code": "SUCCESS",
"details": {
"id": "5843104000001083131"
},
"message": "transition deleted",
"status": "success"
}
]
}